Get terminal details
const options = {method: 'GET', headers: {Authorization: 'Bearer <token>'}};
fetch('https://api.platform.getstell.com/v1/terminals/{terminalId}', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));curl --request GET \
--url https://api.platform.getstell.com/v1/terminals/{terminalId} \
--header 'Authorization: Bearer <token>'import requests
url = "https://api.platform.getstell.com/v1/terminals/{terminalId}"
headers = {"Authorization": "Bearer <token>"}
response = requests.get(url, headers=headers)
print(response.text){
"data": {
"createdAt": "2023-11-07T05:31:56Z",
"id": "<string>",
"storeId": "<string>",
"updatedAt": "2023-11-07T05:31:56Z",
"note": "<string>",
"serialNumber": "<string>",
"name": "<string>",
"externalId": "<string>",
"status": "ONLINE"
},
"requestId": "<string>"
}{
"requestId": "<string>",
"error": {
"code": "BAD_REQUEST",
"message": "Invalid request parameters",
"details": {}
}
}{
"requestId": "<string>",
"error": {
"code": "UNAUTHORIZED",
"message": "Authentication required",
"details": {}
}
}{
"requestId": "<string>",
"error": {
"code": "FORBIDDEN",
"message": "Access denied to this resource",
"details": {}
}
}{
"requestId": "<string>",
"error": {
"code": "NOT_FOUND",
"message": "Resource not found",
"details": {}
}
}{
"requestId": "<string>",
"error": {
"code": "INTERNAL_ERROR",
"message": "An internal server error occurred",
"details": {}
}
}Terminals
Get terminal details
Retrieve details of a specific terminal.
GET
https://api.platform.getstell.com
/
v1
/
terminals
/
{terminalId}
Get terminal details
const options = {method: 'GET', headers: {Authorization: 'Bearer <token>'}};
fetch('https://api.platform.getstell.com/v1/terminals/{terminalId}', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));curl --request GET \
--url https://api.platform.getstell.com/v1/terminals/{terminalId} \
--header 'Authorization: Bearer <token>'import requests
url = "https://api.platform.getstell.com/v1/terminals/{terminalId}"
headers = {"Authorization": "Bearer <token>"}
response = requests.get(url, headers=headers)
print(response.text){
"data": {
"createdAt": "2023-11-07T05:31:56Z",
"id": "<string>",
"storeId": "<string>",
"updatedAt": "2023-11-07T05:31:56Z",
"note": "<string>",
"serialNumber": "<string>",
"name": "<string>",
"externalId": "<string>",
"status": "ONLINE"
},
"requestId": "<string>"
}{
"requestId": "<string>",
"error": {
"code": "BAD_REQUEST",
"message": "Invalid request parameters",
"details": {}
}
}{
"requestId": "<string>",
"error": {
"code": "UNAUTHORIZED",
"message": "Authentication required",
"details": {}
}
}{
"requestId": "<string>",
"error": {
"code": "FORBIDDEN",
"message": "Access denied to this resource",
"details": {}
}
}{
"requestId": "<string>",
"error": {
"code": "NOT_FOUND",
"message": "Resource not found",
"details": {}
}
}{
"requestId": "<string>",
"error": {
"code": "INTERNAL_ERROR",
"message": "An internal server error occurred",
"details": {}
}
}Authorizations
API key authentication. Include your API key as a Bearer token.
Example: Bearer sk_prod_xxxxxx
Get your API key from the Stell Dashboard.
Path Parameters
Was this page helpful?